MilterManagerControlReplyEncoder
3
milter managerライブラリ

# MilterManagerControlReplyEncoder

## Functions

MilterEncoder * | milter_manager_control_reply_encoder_new ()
void | milter_manager_control_reply_encoder_encode_success ()
void | milter_manager_control_reply_encoder_encode_failure ()
void | milter_manager_control_reply_encoder_encode_error ()
void | milter_manager_control_reply_encoder_encode_configuration ()
void | milter_manager_control_reply_encoder_encode_status ()

## オブジェクト階層

        GObject
        ╰── MilterEncoder
            ╰── MilterManagerReplyEncoder
                ╰── MilterManagerControlReplyEncoder

## 説明

## Functions

### milter_manager_control_reply_encoder_new ()

    MilterEncoder *
    milter_manager_control_reply_encoder_new
                                   (void);

### milter_manager_control_reply_encoder_encode_success ()

    void
    milter_manager_control_reply_encoder_encode_success
                                   (MilterManagerControlReplyEncoder *encoder,
                                    const gchar **packet,
                                    gsize *packet_size);

### milter_manager_control_reply_encoder_encode_failure ()

    void
    milter_manager_control_reply_encoder_encode_failure
                                   (MilterManagerControlReplyEncoder *encoder,
                                    const gchar **packet,
                                    gsize *packet_size,
                                    const gchar *message);

### milter_manager_control_reply_encoder_encode_error ()

    void
    milter_manager_control_reply_encoder_encode_error
                                   (MilterManagerControlReplyEncoder *encoder,
                                    const gchar **packet,
                                    gsize *packet_size,
                                    const gchar *message);

### milter_manager_control_reply_encoder_encode_configuration ()

    void
    milter_manager_control_reply_encoder_encode_configuration
                                   (MilterManagerControlReplyEncoder *encoder,
                                    const gchar **packet,
                                    gsize *packet_size,
                                    const gchar *configuration,
                                    gsize configuration_size);

### milter_manager_control_reply_encoder_encode_status ()

    void
    milter_manager_control_reply_encoder_encode_status
                                   (MilterManagerControlReplyEncoder *encoder,
                                    const gchar **packet,
                                    gsize *packet_size,
                                    const gchar *status,
                                    gsize status_size);

## Types and Values